Ubuntu

the session settings manager can try starting before the login screen one exits

Reported by MvW on 2010-09-28
This bug affects 389 people
Affects Status Importance Assigned to Milestone
Linux Mint
Medium
gerrit snyman
One Hundred Papercuts
Undecided
Unassigned
gdm
Expired
Medium
gnome-settings-daemon
Invalid
Undecided
Unassigned
gdm (Ubuntu)
Low
Rodrigo Moya
Natty
Low
Rodrigo Moya
gnome-settings-daemon (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned
nvidia-graphics-drivers-180 (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

On recent configurations it can happen that the session settings manager try starting before the login screen one exit leading to have no theme set in the session (nor other settings gnome-settings-daemon is applying to the user configuration)

The .xsession-errors log contains that error on configuration hitting the issue:

"** (gnome-settings-daemon:1941): WARNING **: You can only run one xsettings manager at a time; exiting"

MvW (2nv2u) wrote :
MvW (2nv2u) wrote :

Just reinstalled everything with the RC version, still no go.
As soon as I enable the proprietary nVidia driver the theme gets disabled and reverted to a default gnome theme.

MvW (2nv2u) wrote :

Enabling/disabling compiz does not have any effect on this issue.

description: updated
MvW (2nv2u) wrote :

For some reason I managed to get the theme correct once! After logging out and in again the theme was correct.
After a reboot it was sadly gone again. Trying to do the same as trick did not help.

MvW (2nv2u) wrote :

The final version still contains this bug. Still can't figure out what's wrong.
Did notice clicking sounds which apparently belong to the default gnome theme.
Anyone?
Have installed 10.10 on several machines which all contain nVidia hardware with no theme issues.
The only noticeable difference between the hardware is the Quadro 3800M vs Geforce 8800GTS (which in this case is the same basic hardware) and the core i7 vs core 2 duo.

Kenneth Langga (zang3tsu) wrote :

I don't know if it's related but I have a Geforce 250 and this also happens to me.
I also manually installed the proprietary dev driver 260.24.
And I also have those clicking sounds that only goes away if I mute the Sound Effect in the Sound Preferences.

Kenneth Langga (zang3tsu) wrote :

I got the correct theme when I uninstalled the proprietary driver and let nouveau take over.
I'm trying now if the proprietary driver in the repositories will also grant me the correct theme.

Kenneth Langga (zang3tsu) wrote :

Still no go. For now it seems that only nouveau works for the default theme.

George (gapop) wrote :

Same problems here, desktop theme and sound theme broken with proprietary Nvidia driver. Using GeForce GT 220 on Ubuntu 64-bit.

George (gapop) wrote :

Did you guys do a clean install of 10.10, or an upgrade?

Kenneth Langga (zang3tsu) wrote :

Upgrade.

MvW (2nv2u) wrote :

Upgrade and clean install of the Beta and RC version. Did not try the quick fix yet.
I've read the thread though and it seems that you still keep hearing the click sounds after applying the fix.

Rhubarb (cam-daw) wrote :

Same problem here.

Clean install of Ubuntu 10.10 amd64 (The full release version, with all updates applied as of 12 October 2010.

Installed nvidia drivers, after a reboot the ubuntu theme has gone and is replaced by the default gnome theme (which is quite ugly).

It is possible to get it working if you run this:
-----
killall gnome-settings-daemon
gnome-settings-daemon
-----
Then log out, and log back in again. Then the theme works nicely, until you reboot / log out again.

Note that sometimes I've noticed several gnome-settings-daemon processes running at 100% CPU usage - these can be killed with no effect to your present theme for the current session.

Also note that when I run gnome-settings-daemon (after running killall gnome-settings-daemon) this is returned to the console:
-----
rhubarb@rhubarb-SX58:~$ gnome-settings-daemon

** (gnome-settings-daemon:4716): WARNING **: Failed to acquire org.gnome.SettingsDaemon

** (gnome-settings-daemon:4716): WARNING **: Could not acquire name
-----

Which makes me think it's a problem to do with the gnome-settings-daemon ;)

Nice trick. The desktop itself (icon captions, context menu) and
Nautilus still don't apply the theme.

I am surprised that so few people appear to have the problem. I would
think I have a pretty common Ubuntu setup.

Yes I thought I did aswell, but this bug only applies to 1 of my machines and the rest of them run 10.10 theme wise perfectly fine. (Sadly enough I do have a lot of other issues which were working fine before)
They all use nVidia hardware ranging from onboard ICP's to the semi high end GTX285.

Desktops:
AMD 3800X2 - nVidia Geforce 6150ICP - Works fine
Intel Core2Duo E8400 - nVidia Geforce 9500GT - Works fine
Intel Core2Duo E8400 - nVidia Geforce 8800GTS - Works fine
Intel Core2Quad Q9650 - nVidia Geforce 265GTX - Works fine
Intel Core2Quad Q6600 - nVidia Geforce 9300ICP - Works fine

Laptops:
Intel Core2Duo T7200 - nVidia Geforce 7800GS - Works fine
Intel Core2Duo T8100 - nVidia Geforce 8400GS - Works fine
Intel Core i7 920XM - nVidia Quadro FX 3800M - No theme

So it's only 1 out of 8, no wonder not many people encounter this problem.
It only happened with me with the new Intel "core i" architecture.

MvW (2nv2u) wrote :

Typo fix: nVidia Geforce 265GTX needs to be nVidia Geforce 285GTX

MvW (2nv2u) wrote :

Damn.. It needs to be nVidia Geforce GTX285 ;) (Time to be able to edit you posts)

My system has Core i7 as well.

This bug is pretty serious as far as I'm concerned. With so few people
affected, I don't think it'll be fixed soon. I would downgrade to
Lucid if there was an easy way.

On Tue, Oct 12, 2010 at 19:40, Reason <email address hidden> wrote:
> Yes I thought I did aswell, but this bug only applies to 1 of my machines and the rest of them run 10.10 theme wise perfectly fine. (Sadly enough I do have a lot of other issues which were working fine before)
> They all use nVidia hardware ranging from onboard ICP's to the semi high end GTX285.
>
> Desktops:
> AMD 3800X2 - nVidia Geforce 6150ICP - Works fine
> Intel Core2Duo E8400 - nVidia Geforce 9500GT - Works fine
> Intel Core2Duo E8400 - nVidia Geforce 8800GTS - Works fine
> Intel Core2Quad Q9650 - nVidia Geforce 265GTX - Works fine
> Intel Core2Quad Q6600 - nVidia Geforce 9300ICP - Works fine
>
> Laptops:
> Intel Core2Duo T7200 - nVidia Geforce 7800GS - Works fine
> Intel Core2Duo T8100 - nVidia Geforce 8400GS - Works fine
> Intel Core i7 920XM - nVidia Quadro FX 3800M - No theme
>
> So it's only 1 out of 8, no wonder not many people encounter this problem.
> It only happened with me with the new Intel "core i" architecture.
>
> --
> Meerkat (10.10) does not apply theme properly
> https://bugs.launchpad.net/bugs/649809
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Yes I agree, unfortunately regressions seem more common than an exception these days.
Every new release of Ubuntu since version 8.10 brakes more then it fixes, most of those regressions still persist today..
They should make one of the releases in the 6 month cycle completely dedicated to resolving issues instead of introducing new features which often have lots of bugs as well.
A shame! I kinda liked the the philosophy behind Ubuntu.. The "it just works" part begins to crumble away..

Rhubarb (cam-daw) wrote :

We may be on to something here.

My system that's having this problem:

Core i7 975, nVidia GeForce GTX 275, 6GB DDR3 RAM, Intel X58 chipset

I have no theme issues when I revert back to the nouveau video drivers.
But when the nVidia 260.19.06 drivers are installed suddenly I have theme problems.

This system worked fine in Ubuntu 10.04 Lucid.

So is it the video driver? Is it Gnome? Is it some basic, common
library that's not properly compiled for Core i7?

I think this is one of the problems with bug reporting for Ubuntu.
Unless you know a great deal about how the system is built, you don't
even know whom to send a bug report.

It cant be just an i7 core problem. I have two computers with this problem. A 32 bit P4- 3.4ghtz dual core and a newer 64 bit P4 dual core. Both have this prob, both are 10.10. I noticed my dads laptop... a P4 dell inspiron 1525n with 10.04 has this problem too.

Rebooting on all systems fixes the problem. I usually get this bug after an update from update manager.

Rebooting doesn't make any difference in my case. The problem is
permanent. The only workarounds that have any effect are those offered
by Kenneth and Rhubarb: using Nouveau instead of the nVidia driver,
using a .gtkrc or killing and restarting gnome-settings-daemon. But
the problem remains.

Same here the problem is persistent and does not occur once in a while. I haven't noticed it before in any previous Ubuntu release.
So it really does start to look like a Core i7 problem. The driver itself doesn't seem to be the problem. I've used the 256.xx with 10.04 and the theme was working perfectly fine.
The beta of 10.10 also used this driver and the theme problem occurred there as well.
So it has to be a gnome package which fails with the nVidia driver in some how.

Rhubarb (cam-daw) wrote :

Yes, the problem is persistent.

What chipsets does everyone here have?
Mine is an Intel X58 chipset
(which can be found amongst other ways by doing a lspci)

I think I'll make up a temporary work-around script to fix this issue.
It'll most likely be a dodgy hack.
I'll post it here if and when I make the script up.

I'm quite sure something is causing gnome-settings-daemon to not start up correctly.

It looks like gnome-settings-daemon has many dependencies:-
libappindicator1 libatk1.0-0
libc6 libcairo2
libcanberra-gtk0 libcanberra0
libdbus-1-3 libdbus-glib-1-2
libdbusmenu-glib1 libfontconfig1
libfreetype6 libgconf2-4
libgdk-pixbuf2.0-0 libglib2.0-0
libgnome-desktop-2-17 libgnomekbd4
libgtk2.0-0 libice6
libnotify1 libpango1.0-0
libpng12-0 libpulse-mainloop-glib0
libpulse0 libsm6
libstartup-notification0 libx11-6
libxext6 libxi6
libxklavier16 libxml2
zlib1g gconf2
libgnome2-common

MvW (2nv2u) wrote :

I don't know exactly which chipset it is, but it gets reported like this:
Intel Corporation 5 Series/3400 Series Chipset (Laptop)

I've tried to stop and start the gnome-settings-daemon but it resulted in a process running on max cpu load, trying it again and I got another one (2 in total). Ending the processes did not help but killing did.
I've never managed to get theme working correctly though.

Rhubarb: X58 here, too.

Here's one more hint that could help a more knowledgeable troubleshooter.

The login screen does seem to apply a theme, possibly Ambiance.
Assuming that the same piece of software applies the theme to the
login screen as well as the user's desktop, then the problem likely
occurs as the user's session is started.

Attached is my .xsession-errors file as it looks after login. There
are messages in there from gnome-settings-daemon. This seems
consistent with Rhubarb's discovery about gnome-settings-daemon.

Shouldn't we report this to Gnome?

George (gapop) wrote :

Or is it more likely to be an X / video driver problem? The fact that
themes are applied when using Nouveau would suggest that.

Core i7 with X58 chipset here. Same problem. Themes work fine under Nouveau, break after nVidia's binary drivers are activated. Willing to post my lspci info or kernel messages if either are useful for troubleshooting.

On Wed, Oct 13, 2010 at 8:38 AM, Rhubarb <email address hidden> wrote:

> Yes, the problem is persistent.
>
> What chipsets does everyone here have?
> Mine is an Intel X58 chipset
> (which can be found amongst other ways by doing a lspci)
>
> I think I'll make up a temporary work-around script to fix this issue.
> It'll most likely be a dodgy hack.
> I'll post it here if and when I make the script up.
>
> I'm quite sure something is causing gnome-settings-daemon to not start
> up correctly.
>
> It looks like gnome-settings-daemon has many dependencies:-
> libappindicator1 libatk1.0-0
> libc6 libcairo2
> libcanberra-gtk0 libcanberra0
> libdbus-1-3 libdbus-glib-1-2
> libdbusmenu-glib1 libfontconfig1
> libfreetype6 libgconf2-4
> libgdk-pixbuf2.0-0 libglib2.0-0
> libgnome-desktop-2-17 libgnomekbd4
> libgtk2.0-0 libice6
> libnotify1 libpango1.0-0
> libpng12-0 libpulse-mainloop-glib0
> libpulse0 libsm6
> libstartup-notification0 libx11-6
> libxext6 libxi6
> libxklavier16 libxml2
> zlib1g gconf2
> libgnome2-common
>
> --
> Meerkat (10.10) does not apply theme properly
> https://bugs.launchpad.net/bugs/649809
> You received this bug notification because you are a member of Ubuntu
> Artwork Team, which is the registrant for ubuntu-artwork.
>

I believe I am experiencing this problem in a different way. Some times when
I boot my HP Pavilion dvd (ATI video) I don't see the login or desktop. I
see either a black screen or the plymouth boot screen.

The system is not locked as I hear the audio and I can still login
"blindly". Pressing the power button and <enter> bring up the shut down
process as expected.

John

It does seem to only affect users with a Core i7 and X58 chipset as I too have one. But mrandrzejak's case says otherwise.

MvW (2nv2u) wrote :

Don't think the chipset is an issue, i've got a laptop with a Core i7 and it's chipset differs from the desktop. The the theme issue is the same though.

Paul Wolfe (pwolfe) wrote :

I'm experiencing this too. After Upgrade, after fresh install, with or without the nvidia driver

evga x58 LE
2x gtx 470

Vish (vish) wrote :

This sounds like a problem in the gnome-settings-daemon.

Marking bug as confirmed from the various members commenting about the issue here.

affects: ubuntu-artwork (Ubuntu) → gnome-settings-daemon (Ubuntu)
Changed in gnome-settings-daemon (Ubuntu):
importance: Undecided → Low
affects: ubuntu-artwork → gnome-settings-daemon
Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
Sune Bredahl (sune-bredahl) wrote :

I have almost the same problem in Xubuntu (Bug #652731) but here it is "xfsettingd" not running (which means appearance settings cannot be changed).

However if I boot from the live cd, everything works and xfsettingsd is running as it should. I use the nvidia non-free driver also, but the bug persists if i deactivate it so I'm not sure if it is releated.

I have this bug too. I have seen multiple related problems with Core i-7 processors on x-58 MoBos with newer Nvidia cards, posted in other bugs and forums. Sune Bredahl already mentioned his, but also these forum post:

http://ubuntuforums.org/showthread.php?p=9971971

http://www.uluga.ubuntuforums.org/showthread.php?t=1592275

Many people are saying things were fine under 10.04 including myself. I had some random freezes and weird system slow downs under 10.04, but the slow install, slow system, theme errors, and stuttering in video are all new with 10.10. Could there be an underlying issue with the hardware that is causing all of these problems? My hardware worked fine under 10.04 (mostly) and works fine in windows 7. I think this issue may be part of a bigger problem. Have any of you seen the other bugs described in these forum post?

Also, I just tried restarting gnome settings daemon and it gave the same error, but did not change anything on reboot. I tried running it with sudo, and my desktop theme changed instantly, so maybe try sudo instead of rebooting if rebooting doesn't work for you.

MvW (2nv2u) wrote :

Same here killing and starting gnome-settings-daemon as root returned the theme more or less.
Nautilus still looks bad and the indicator icons still remain as the were.
It does start to hog my CPU though (gnome-settings-daemon) and remains running on a 100% load.
Killing the process does keep the theme ok.
I've got some issues with virtual machines as well which are new in 10.10 on my core i7.
Seems they tend to lockup randomly with no trace in a log file (Virtualbox).

Side note: I don't have a x58 chipset (I'm using a laptop).

I did notice occasionaly that the interface (compiz effects etc.) were
somewhat slower, which I don't think is normal on this class of
hardware. It improved somewhat after upgrading to the latest nVidia
driver, but it's still not as good as 10.04.

There may well be an underlying cause. Meerkat came with new versions
of X and Gnome. Either could be the source of these problems.

Bryce Harrington (bryce) on 2010-11-22
tags: added: maverick
Henning Hoefer (hoeferh) on 2010-12-02
Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: New → Invalid
Harry (harry33) on 2011-01-27
tags: added: natty
Changed in gdm (Ubuntu):
importance: Undecided → Low
status: New → Triaged
Changed in gnome-settings-daemon (Ubuntu):
status: Confirmed → Triaged
Changed in gdm (Ubuntu):
assignee: nobody → Rodrigo Moya (rodrigo-moya)
summary: - Meerkat (10.10) does not apply theme properly
+ the session settings manager try starting before the login screen one
+ exits
summary: - the session settings manager try starting before the login screen one
- exits
+ the session settings manager can try starting before the login screen
+ one exits
description: updated
description: updated
description: updated
Changed in gdm (Ubuntu):
status: Triaged → In Progress
Changed in gnome-settings-daemon (Ubuntu Natty):
importance: Low → High
assignee: nobody → Rodrigo Moya (rodrigo-moya)
importance: High → Low
Changed in gnome-settings-daemon (Ubuntu Natty):
importance: Low → High
Changed in gdm:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in gnome-settings-daemon (Ubuntu Natty):
status: Triaged → Fix Committed
Changed in gdm (Ubuntu Natty):
status: In Progress → Invalid
Changed in gnome-settings-daemon (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in gnome-settings-daemon (Ubuntu Natty):
status: Fix Released → In Progress
Martin Pitt (pitti) on 2011-04-18
Changed in gnome-settings-daemon (Ubuntu Natty):
importance: High → Medium
Martin Pitt (pitti) on 2011-04-20
Changed in gnome-settings-daemon (Ubuntu Natty):
milestone: none → natty-updates
tags: added: iso-testing
Changed in linuxmint:
status: New → Confirmed
importance: Undecided → Critical
milestone: none → katya-rc1
Changed in linuxmint:
assignee: nobody → Clement Lefebvre (clementlefebvre)
Changed in gdm:
status: Confirmed → Incomplete
Changed in linuxmint:
importance: Critical → Medium
status: Confirmed → Triaged
Changed in gdm:
status: Incomplete → Won't Fix
Changed in gnome-settings-daemon:
status: New → Invalid
161 comments hidden view all 241 comments
Jody Fanning (jodyfanning) wrote :

One thing I just noticed is that, at least in the Virtual Box case, it might be related to the amount of memory assigned to the virtual machine. I had 1GB of memory previously where the problem occurred. I just increased it to 1.5GB (for other reasons) and suddenly the theming works and I also get Unity desktop as well.

Jody Fanning (jodyfanning) wrote :

Nope, it was only temporary. Now I have Unity, but the broken theme back again.

Changed in linuxmint:
assignee: Clement Lefebvre (clementlefebvre) → gerrit snyman (gerrit-snyman)
jifg (jifges) wrote :

This workaround works for me (VirtualBox): try to replace "sleep 2" by "killall gnome-settings-daemon" to avoid waiting. This way:

/etc/xdg/autostart/gnome-settings-daemon.desktop
Exec=bash -c "killall gnome-settings-daemon ; /usr/lib/gnome-settings-daemon/gnome-settings-daemon"

The system should stop the previous daemon and ensure it has been stopped before launching the new one (instead of killing it).

jifg (jifges) wrote :

The workaround is not working always. A better workaround is to leave
/etc/xdg/autostart/gnome-settings-daemon.desktop
untouched but change
/etc/gdm/PreSession/Default
in order to assert that gnome-settings-daemon from user gdm is killed, adding as the last line
killall -9 -w -u gdm gnome-settings-daemon
where -9 and -w are optional.
It seems to work all the time so far.

This doesn't work for me.

On Fri, Jul 22, 2011 at 2:57 PM, jifg <email address hidden> wrote:
> The workaround is not working always. A better workaround is to leave
> /etc/xdg/autostart/gnome-settings-daemon.desktop
> untouched but change
> /etc/gdm/PreSession/Default
> in order to assert that gnome-settings-daemon from user gdm is killed, adding as the last line
> killall -9 -w -u gdm gnome-settings-daemon
> where -9 and -w are optional.
> It seems to work all the time so far.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/649809
>
> Title:
>  the session settings manager can try starting before the login screen
>  one exits
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gdm/+bug/649809/+subscriptions
>

AaronMT (aaron-train) wrote :

What is the ETA for this bug fix?

jifg (jifges) wrote :

Jon, please try to remove the -w. I'm currently using:
killall -9 -u gdm gnome-settings-daemon
and it's working for me all the time.
Cheers.

jon parker (parker-jon) wrote :

My computer won't be available for a couple of months so I can't try
this right now, unfortunately.

On Wed, Aug 10, 2011 at 3:09 AM, jifg <email address hidden> wrote:
> Jon, please try to remove the -w. I'm currently using:
> killall -9 -u gdm gnome-settings-daemon
> and it's working for me all the time.
> Cheers.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/649809
>
> Title:
>  the session settings manager can try starting before the login screen
>  one exits
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gdm/+bug/649809/+subscriptions
>

Mike Palmer (mike-palmer-i) wrote :

This worked OK for me. Thank you.
Now back to normal
- no ugly desktop icons
- no wrongly ordered panel sections
- no irritating, dynamic self-centring of a varying-size panel

Mike Palmer (mike-palmer-i) wrote :

See #210
sorry but I have to rescind the comment as I now have ugly desktop icons back again
the other 2 effects not seen yet

I don't see that error from bug description in logs, but I have theme reset every time I cold boot my PC at work (Natty 32bit, theme comes back if I logout and then login again). On the other hand, I don't have any issues with theme reset on my home PC (Natty 64bit)

Alejandro Mallea (janoma) wrote :

jifg's workaround (comment #205) works for me, thanks!

Timothy Arceri (t-fridey) wrote :

There is not enough known about what is truly causing this bug for it to be a papercut.

Changed in hundredpapercuts:
status: New → Incomplete
eiver (eiver) wrote :

Is there any way, an ordinary user experiencing this bug could provide enough information to resolve the problem? The bug seems random in nature, so it must be some kind of a race condition, but still I have a feeling it should be easy to fix (although I do not know linux/ubuntu well enough to provide a fix).

Timothy Arceri (t-fridey) wrote :

@eiver

The upstream bug report shows that a workaround has been committed meaning this bug shouldn't happen anymore once you have the updated version.

dino99 (9d9) wrote :

Affect Oneiric i386 b2 too using lghtdm & g-s-d 3.2.0-0ubuntu2
wonder if the workaround proposed in post #205 can be adapted for lightdm

here is actual output:

** (gnome-settings-daemon:3472): WARNING **: You can only run one xsettings manager at a time; exiting

** (gnome-settings-daemon:3472): WARNING **: Unable to start xsettings manager: Could not initialize xsettings manager.

(gnome-settings-daemon:3472): media-keys-plugin-WARNING **: Grab failed for some keys, another application may already have access the them.

(gnome-settings-daemon:3472): clipboard-plugin-WARNING **: Clipboard manager is already running.

** (gnome-settings-daemon:3472): WARNING **: Name taken or bus went away - shutting down
Erreur de segmentation (core dumped)

Lucazade (lucazade) wrote :

I thought lightdm doesn't use gnome-settings-daemon like old gdm did.. so I don't get why the race condition can be present (i didn't experienced in oneiric)
@Rodrigo Moya: am i right? is this still the issue of xrandr and indicators during login manager?

Rodrigo Moya (rodrigo-moya) wrote :

Lucazade: I haven't seen any reports for Oneiric about this (with gdm and lightdm), so I really think it's fixed in 3.x versions. And no, lightdm doesn't use g-s-d AFAIK, so it shouldn't be an issue there

aidanjt (aidanjt) wrote :

I haven't had any gsd problems with either natty nor oneiric (and I
think maverick is fixed now?).

Robert Ancell (robert-ancell) wrote :

Unity Greeter does use gnome-settings-daemon, there was a bug where it was not quitting properly, but this should be fixed (bug 861398)

Changed in gdm:
status: Won't Fix → Confirmed
Sebastien Bacher (seb128) wrote :

is anyone still getting that issue in Oneiric?

Changed in gnome-settings-daemon (Ubuntu):
assignee: Rodrigo Moya (rodrigo-moya) → nobody
milestone: natty-updates → none
status: In Progress → Incomplete
Changed in gnome-settings-daemon (Ubuntu Natty):
assignee: Rodrigo Moya (rodrigo-moya) → nobody
milestone: natty-updates → none
status: In Progress → Triaged
Jan Nekvasil (jan-nekvasil) wrote :

Not at all. (Note: I'm using a SSD for whole system).

Timothy Arceri (t-fridey) wrote :

Upstream are removing the fix while developing the next major version of gnome to see if it comes back so this bug should probably remain open for the time being.

jon parker (parker-jon) wrote :

Yes, I am still having the issue in Oneiric. With both Unity and Gnome 3.

On Tue, Oct 11, 2011 at 6:21 AM, Sebastien Bacher <email address hidden> wrote:
> is anyone still getting that issue in Oneiric?
>
> ** Changed in: gnome-settings-daemon (Ubuntu)
>       Status: In Progress => Incomplete
>
> ** Changed in: gnome-settings-daemon (Ubuntu)
>    Milestone: natty-updates => None
>
> ** Changed in: gnome-settings-daemon (Ubuntu)
>     Assignee: Rodrigo Moya (rodrigo-moya) => (unassigned)
>
> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>       Status: In Progress => Triaged
>
> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>    Milestone: natty-updates => None
>
> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>     Assignee: Rodrigo Moya (rodrigo-moya) => (unassigned)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/649809
>
> Title:
>  the session settings manager can try starting before the login screen
>  one exits
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gdm/+bug/649809/+subscriptions
>

jon parker (parker-jon) wrote :

Correction, this is a problem with my user settings from Ubuntu 11.04.
 I don't have any problems with a new user account.

On Fri, Oct 14, 2011 at 5:39 PM, jon parker <email address hidden> wrote:
> Yes, I am still having the issue in Oneiric.  With both Unity and Gnome 3.
>
> On Tue, Oct 11, 2011 at 6:21 AM, Sebastien Bacher <email address hidden> wrote:
>> is anyone still getting that issue in Oneiric?
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu)
>>       Status: In Progress => Incomplete
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu)
>>    Milestone: natty-updates => None
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu)
>>     Assignee: Rodrigo Moya (rodrigo-moya) => (unassigned)
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>>       Status: In Progress => Triaged
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>>    Milestone: natty-updates => None
>>
>> ** Changed in: gnome-settings-daemon (Ubuntu Natty)
>>     Assignee: Rodrigo Moya (rodrigo-moya) => (unassigned)
>>
>> --
>> You received this bug notification because you are subscribed to the bug
>> report.
>> https://bugs.launchpad.net/bugs/649809
>>
>> Title:
>>  the session settings manager can try starting before the login screen
>>  one exits
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/gdm/+bug/649809/+subscriptions
>>
>

tekstr1der (tekstr1der) wrote :

Logged in today to see the good 'ol gnome icon set appear on unity.

This is a fully u-t-d Natty 11.04 with Unity only. This bug is sporadic and infrequent for me, but definitely exists.

Is there any chance of a fix for Natty? Or, are we just moving on ahead now with gnome 3 only?

nisc (nschmuecker) wrote :

In 11.04, the workaround proposed in #204 makes the problem disappear for me.

Pete Webster (pwebster1973) wrote :

Having the same issue in Oneric, random occurences, sometimes reboot works, sometimes requires multiple reboots. Although still not sure if this is related to the bug mentioned here, or the one over here...
http://askubuntu.com/questions/21305/desktop-forgets-theme

Am running an old Athlon with regular HDD, although nVidia chipset present on mobo. Haven't tried yet the timings with the daemons but will look at that next.

Just thought I'd add that this IS still occuring on a Oneric environment

Alex Kon (alkon) wrote :

Seeing the same issue with a recent install of Ubuntu 11.10 x64, NVIDIA & SSD.

Happens on every boot. Logout & Login seems to load everything properly again.

Alex Kon (alkon) wrote :

And here are my specs with a before/after 2nd login screenshot...

Ubuntu 11.10
Kernel 3.0.0-14-generic
GNOME 3.2.1
Intel Core Duo CPU E7200
3GB DDR2
NVIDIA GT 520, Driver 280.13 (Proprietary with post-release updates)
64 GB SSD

Alex Kon (alkon) wrote :

The problem seems to have disappeared for me with the latest updates.

Chris Wilson (notgary) wrote :

Reading the comment above, it seems any fix for this bug will be rather complex, so I'm removing the papercuts task.

Changed in hundredpapercuts:
status: Incomplete → Invalid
launchpadmember (lpuser1138) wrote :
Download full text (29.4 KiB)

None of the proposed solutions so far works for my setup at all.

Specs:
Distribution: Ubuntu 11.04 64Bit (Actual machine, NOT a virtual machine)
Codename: Natty Narwhal
Desktop: Gnome 2
CPU: Intel Quad Core 2 Extreme, X9650, 64Bit, (3GHz per core)
GPU: GeForce 8800 GT
GPU MEM: 512 MB
GPU MEM Interface: 256 MB
GPU VBIOS: 62.92.24.00.00
MoBo: Asus
MoBo MEM: 4GB

Right clicking on the desktop and selecting "Change Desktop Background" results in the following error message:
Unable to start the settings manager 'gnome-settings-daemon'.
Without the GNOME settings manager running, some preferences may not take effect. This could indicate a problem with DBus, or a non-GNOME (e.g. KDE) settings manager may already be active and conflicting with the GNOME settings manager.

Any attempt at starting the gnome-settings-daemon such as:
sudo gnome-settings-daemon
results in the following error messages:
** (gnome-settings-daemon:6805): WARNING **: Failed to acquire org.gnome.SettingsDaemon

** (gnome-settings-daemon:6805): WARNING **: Could not acquire name

Here is the output from "apt-cache policy gnome-settings-daemon"
gnome-settings-daemon:
  Installed: 2.32.1-0ubuntu13.1
  Candidate: 2.32.1-0ubuntu13.1
  Version table:
 *** 2.32.1-0ubuntu13.1 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

Any attempt at killing and restarting the gnome-settings-daemon produces no significant change.
I will list one debug output with elevated privileges, and one without.

Here is the debug output after killing and restarting the gnome-settings-manager with elevated privileges:
~$ sudo gnome-settings-daemon --debug --no-daemon
** (gnome-settings-daemon:20326): DEBUG: Successfully connected to D-Bus
** (gnome-settings-daemon:20326): DEBUG: Starting settings manager
** (gnome-settings-daemon:20326): DEBUG: Loading settings plugins from dir: /usr/lib/gnome-settings-daemon-2.0/
** (gnome-settings-daemon:20326): DEBUG: Loading plugin: /usr/lib/gnome-settings-daemon-2.0/mouse.gnome-settings-plugin
** (gnome-settings-daemon:20326): DEBUG: GnomeSettingsPluginInfo: name='Mouse' file='/usr/lib/gnome-settings-daemon-2.0/mouse.gnome-settings-plugin' location='mouse'
** (gnome-settings-daemon:20326): DEBUG: Loading plugin: /usr/lib/gnome-settings-daemon-2.0/clipboard.gnome-settings-plugin
** (gnome-settings-daemon:20326): DEBUG: GnomeSettingsPluginInfo: name='Clipboard' file='/usr/lib/gnome-settings-daemon-2.0/clipboard.gnome-settings-plugin' location='clipboard'
** (gnome-settings-daemon:20326): DEBUG: Loading plugin: /usr/lib/gnome-settings-daemon-2.0/a11y-keyboard.gnome-settings-plugin
** (gnome-settings-daemon:20326): DEBUG: GnomeSettingsPluginInfo: name='Accessibility Keyboard' file='/usr/lib/gnome-settings-daemon-2.0/a11y-keyboard.gnome-settings-plugin' location='a11y-keyboard'
** (gnome-settings-daemon:20326): DEBUG: Loading plugin: /usr/lib/gnome-settings-daemon-2.0/xrdb.gnome-settings-plugin
** (gnome-settings-daemon:20326): DEBUG: GnomeSettingsPluginInfo: name='X Resource Database' file='/usr/lib/gnome-settings-daemon-2.0/xrdb.gnome-settings-plugin' location='xrdb'
** (gnome-settings-daemon:20326): DEBUG: Loa...

launchpadmember (lpuser1138) wrote :

Oops, I forgot that long outputs were not allowed. I'll attatch the debug outputs as log files.
Attached to this post is the output of:
sudo gnome-settings-daemon --debug --no-daemon

Lots of debug info, then it just hangs and does nothing else on the last line.

launchpadmember (lpuser1138) wrote :

Attached to this post is the non-elevated privilege output:
gnome-settings-daemon --debug --no-daemon

This debug output basically said:
The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 193 error_code 2 request_code 154 minor_code 30)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Which I can't really understand. So...

My Questions are:
1.) Can the status of this bug for Natty be changed to confirmed or something that more accurately reflects the problems I've shown with these posts?
2.) Is there anything I can uninstall, purge, or swap out with something else to help confirm which packages are effected?
3.) Has this bug become a permanent unsolvable problem in terms of getting themes to work in Natty again?

I will attempt a reinstall of various Ubuntu releases to see if I can get this problem to go away. I'm out of idea's other than reinstalling.

launchpadmember (lpuser1138) wrote :

Ok, so apparently attaching files to posts is broken as well. Here are some pastebin links for the debug output files:
Output from "sudo gnome-settings-daemon --debug --no-daemon"
http://pastebin.com/uJiqU178

Output from "gnome-settings-daemon --debug --no-daemon"
http://pastebin.com/yZWVEwmE

Sebastien Bacher (seb128) wrote :

@lpuser1138: your issue is a different one, could you open a new bug rather than commenting on a random one?

Changed in gdm:
status: Confirmed → Expired
dino99 (9d9) wrote :
tags: removed: maverick natty
Changed in gnome-settings-daemon (Ubuntu Natty):
status: Triaged → Invalid
RobinJ (robinj) wrote :

Sorry if I'm wrong, but wouldn't we simply be able to check every second or so whether the settings daemon from the login manager has exited, and only when that one has exited, start the settings daemon for the user?

dino99 (9d9) wrote :

There is no maintenance on distro having reached EOL
http://blog.linuxmint.com/?p=2189

Changed in linuxmint:
status: Triaged → Invalid
Changed in gnome-settings-daemon (Ubuntu):
status: Incomplete → Invalid
Displaying first 40 and last 40 comments. View all 241 comments or add a comment.